Debian Bug report logs - #505887
autodetect other apt caches

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Neil Williams <codehelp@debian.org>

Date: Sun, 16 Nov 2008 15:54:01 UTC

Severity: wishlist

Tags: wontfix

Found in version live-helper/1.0.1-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#505887; Package live-helper. (Sun, 16 Nov 2008 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 16 Nov 2008 15:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: please support an aptcache
Date: Sun, 16 Nov 2008 15:50:42 +0000
Package: live-helper
Version: 1.0.1-2
Severity: wishlist

Many users (like me) will have a variety of apt cache directories or
apt proxies that can provide an apt cache - some will even be for
alternate architectures.

live-helper should copy pbuilder and related code by making the apt
cache available to processes inside the chroot. Maybe parse ~/.pbuilderrc
and make symlinks to the apt cache from there?

It would be good if this functionality would be available via live-magic.

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  cdebootstrap                  0.5.3      Bootstrap a Debian system
ii  debootstrap                   1.0.10     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-4     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools                 3.0.0-1       utilities for making and checking 
ii  fakeroot                   1.10.1        Gives a fake root environment
ii  genisoimage                9:1.1.9-1     Creates ISO-9660 CD-ROM filesystem
ii  grub                       0.97-47lenny1 GRand Unified Bootloader (Legacy v
pn  memtest86+ | memtest86     <none>        (no description available)
ii  mtools                     3.9.11-1      Tools for manipulating MSDOS files
pn  parted                     <none>        (no description available)
pn  squashfs-tools | genext2fs <none>        (no description available)
ii  sudo                       1.6.9p17-1    Provide limited super user privile
ii  syslinux                   2:3.71+dfsg-5 utilities for the syslinux bootloa
pn  uuid-runtime               <none>        (no description available)
pn  win32-loader               <none>        (no description available)

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#505887; Package live-helper. (Mon, 17 Nov 2008 12:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 17 Nov 2008 12:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 505887@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Neil Williams <codehelp@debian.org>, 505887@bugs.debian.org
Subject: Re: Bug#505887: live-helper: please support an aptcache
Date: Mon, 17 Nov 2008 13:40:00 +0100
# adjusting title, it's not that we don't support other caches
retitle 505887 autodetect other apt caches
tags 505887 +wontfix
thanks

Neil Williams wrote:
> live-helper should copy pbuilder and related code by making the apt
> cache available to processes inside the chroot. Maybe parse ~/.pbuilderrc
> and make symlinks to the apt cache from there?

imho, sane people should use a caching proxy (squid) or local mirror if
they build images often and want to save bandwith.

imho, it's not the task of live-helper to support each and every
combination. if a user wants to use an already existing cache, he should
configure it himself in live-helpers config/* (which, agreed, can be
improved to make it more easy to achieve this).

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to `autodetect other apt caches' from `live-helper: please support an aptcache'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 23 Nov 2008 15:33:09 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 23 Nov 2008 15:33:09 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. (Mon, 25 Jan 2010 08:45:08 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Mon, 25 Jan 2010 08:45:08 GMT) Full text and rfc822 format available.

Message #19 received at 505887-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 505887-done@bugs.debian.org, 505887-submitter@bugs.debian.org
Subject: Re: autodetect other apt caches
Date: Mon, 25 Jan 2010 09:37:03 +0100
Hi,

rather than having this bug rotting forever, I prefere to close it.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Message sent on to Neil Williams <codehelp@debian.org>:
Bug#505887. (Mon, 25 Jan 2010 08:45:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Feb 2010 07:30:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:46:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.